---
title: 'Forgejo User Guide'
---

These documents are targeted to people who are using Forgejo but are not
involved in running it on their machines.

- Getting started
  - [Your First Repository](./first-repository/)
  - [The Basics of Issue Tracking](./issue-tracking-basics/)
  - [Integrated Wiki](./wiki/)
  - [Email Settings](./email-settings/)
  - [Forgejo Next](./forgejo-next/)
- Collaborating with Others
  - [Repository Activity](./repository-activity/)
  - [Pull requests and Git flow](./pull-requests-and-git-flow/)
  - [Invite Collaborators](https://docs.codeberg.org/collaborating/invite-collaborators/)
  - [Labels](./labels/)
  - [Create and Manage an Organization](https://docs.codeberg.org/collaborating/create-organization/)
  - [Repository Permissions](./repo-permissions/)
  - [Resolve Conflicts](https://docs.codeberg.org/collaborating/resolve-conflicts/)
  - [Projects / Kanban boards](./project/)
  - [Citable Code](https://docs.codeberg.org/collaborating/citable-code/)
  - [Automatically Linked References](./linked-references/)
  - [Blocking users](./blocking-user/)
  - [Profile customization](./profile/)
- Working with Git Repositories
  - [Clone & Commit via Web](https://docs.codeberg.org/git/clone-commit-via-web/)
  - [Tags and Releases](./releases/)
  - [Branch and tag protection](./protection/)
  - [Git blame](./blame/)
  - [README badges](./readme-badges/)
- Advanced Usage
  - [Issue and Pull Request Templates](./issue-pull-request-templates/)
  - [Comment on issues and pull requests via email](./incoming/)
  - [Actions](./actions/)
  - [Merge Message templates](./merge-message-templates/)
  - [Webhooks](./webhooks/)
  - [Programming language detection](./language-detection/)
  - [Code Search](./code-search/)
  - Authentication
    - [Generating an Access Token](https://docs.codeberg.org/advanced/access-token/)
    - [Access Token scope](./token-scope/)
    - [LDAP, PAM, FreeIPA](./authentication/)
    - [OAuth2, Client Types](./oauth2-provider/)
  - API
    - [Usage](./api-usage/)
    - [Forgejo versions](./versions/)
    - [Reference](https://codeberg.org/api/swagger)
  - [Migrating Repositories](https://docs.codeberg.org/advanced/migrating-repos/)
  - [Repository Mirrors](./repo-mirror/)
  - [Push to create](./push-to-create/)
  - [AGit Workflow Usage](./agit-support/)
  - [Packages](./packages/)
- See also
  - [Codeberg guide on Git](https://docs.codeberg.org/git/)
  - [Codeberg guide on Markdown](https://docs.codeberg.org/markdown/)
  - [Codeberg guide on Integrating with Matrix](https://docs.codeberg.org/integrations/matrix/)
  - [Codeberg guide on Integrating with Read the Docs](https://docs.codeberg.org/integrations/read-the-docs/)
